## process this file with automake to produce Makefile.in

AM_CPPFLAGS       = @APR_CPPFLAGS@ \
                    @STLPORT_INCLUDES@ -I.. @SVN_INCLUDES@ @APR_INCLUDES@\
                    @BOOST_INCLUDES@ -Wno-deprecated
AM_CXXFLAGS       = @MACOSX_UNIVERSAL_CXXFLAGS@
AM_LDFLAGS        = @MACOSX_UNIVERSAL_LDFLAGS@

noinst_LIBRARIES  = libsvn.a

noinst_HEADERS    = AuthPromptProvider.h \
                    BlameBaton.h \
                    BlameLine.h \
                    CancelBaton.h \
                    ClientContext.h \
                    Client.h \
                    ClientTypes.h \
                    CommitBaton.h \
                    CommitInfo.h \
                    CommitItem.h \
                    Diff.h \
                    DiffSummarize.h \
                    DiffSummarizeBaton.h \
                    DiffSummarizeTypes.h \
                    DirEntry.h \
                    DirEntryTypes.h \
                    Error.h \
                    ErrorImpl.h \
                    Info.h \
                    InfoBaton.h \
                    InfoTypes.h \
                    LogBaton.h \
                    LogEntry.h \
                    Lock.h \
                    Notify.h \
                    Property.h \
                    PropGetItem.h \
                    PropListItem.h \
                    PropListItemTypes.h \
                    Revision.h \
                    StatusBaton.h \
                    svn.h \
                    VisualDiff.h \
                    VisualMerge.h \
                    WcEntry.h \
                    WcNotify.h \
                    WcNotifyTypes.h \
                    WcStatus.h \
                    WcStatusTypes.h

libsvn_a_SOURCES  = Admin.h \
                    Admin.cpp \
                    BlameLine.cpp \
                    Client.cpp \
                    CommitInfo.cpp \
                    CommitItem.cpp \
                    Diff.cpp \
                    DiffSummarize.cpp \
                    DirEntry.cpp \
                    Error.cpp \
                    ErrorImpl.cpp \
                    Info.cpp \
                    Lock.cpp \
                    LogEntry.cpp \
                    LogEntryTypes.h \
                    Path.h \
                    Path.cpp \
                    Property.cpp \
                    PropGetItem.cpp \
                    PropListItem.cpp \
                    Revision.cpp \
                    RevisionFactory.h \
                    RevisionFactory.cpp \
                    svn.cpp \
                    VisualDiff.cpp \
                    VisualMerge.cpp \
                    WcEntry.cpp \
                    WcNotify.cpp \
                    WcStatus.cpp
